diff -N -P -r -c rtems-4.6.0pre5/ChangeLog rtems-4.6.0/ChangeLog
*** rtems-4.6.0pre5/ChangeLog	Mon Oct 13 16:58:05 2003
--- rtems-4.6.0/ChangeLog	Tue Feb  3 19:35:54 2004
***************
*** 1,3 ****
--- 1,15 ----
+ 2004-02-03	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* VERSION: Updated to rtems-4.6.0.
+ 
+ 2004-02-03	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* aclocal/version.m4: Updated to rtems-4.6.0.
+ 
+ 2004-02-01	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* aclocal/rpms.m4: New (extracted from scripts/configure.ac).
+ 
  2003-10-13	Joel Sherrill <joel@OARcorp.com>
  
  	* VERSION: Updated to rtems-4.6.0pre5.
***************
*** 746,752 ****
  
  2001-11-13	Joel Sherrill <joel@OARcorp.com>
  
! 	* COPYING: Test of ChangeLog,v 1.178.2.36 2003/10/13 21:58:05 joel Exp -> $RTEMS$.
  
  2001-11-08	Dennis Ehlin (ECS) <Dennis.Ehlin@ecs.ericsson.se>
  
--- 758,764 ----
  
  2001-11-13	Joel Sherrill <joel@OARcorp.com>
  
! 	* COPYING: Test of ChangeLog,v 1.178.2.50 2004/02/04 01:35:54 joel Exp -> $RTEMS$.
  
  2001-11-08	Dennis Ehlin (ECS) <Dennis.Ehlin@ecs.ericsson.se>
  
diff -N -P -r -c rtems-4.6.0pre5/c/src/ChangeLog rtems-4.6.0/c/src/ChangeLog
*** rtems-4.6.0pre5/c/src/ChangeLog	Thu Sep  4 14:09:30 2003
--- rtems-4.6.0/c/src/ChangeLog	Sun Dec 14 10:21:24 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-12-14	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* support/Makefile.am: Pass @RTEMS_BSP@ to AM_CPPFLAGS.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* support/version.c: URL for license changed.
diff -N -P -r -c rtems-4.6.0pre5/c/src/lib/libbsp/a29k/ChangeLog rtems-4.6.0/c/src/lib/libbsp/a29k/ChangeLog
*** rtems-4.6.0pre5/c/src/lib/libbsp/a29k/ChangeLog	Mon Aug 11 09:37:11 2003
--- rtems-4.6.0/c/src/lib/libbsp/a29k/ChangeLog	Tue Dec 16 08:07:25 2003
***************
*** 1,3 ****
--- 1,8 ----
+ 2003-12-15	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 541/bsps
+ 	* startup/linkcmds: Remove SEARCH_DIR.
+ 
  2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
diff -N -P -r -c rtems-4.6.0pre5/c/src/lib/libbsp/arm/arm_bare_bsp/ChangeLog rtems-4.6.0/c/src/lib/libbsp/arm/arm_bare_bsp/ChangeLog
*** rtems-4.6.0pre5/c/src/lib/libbsp/arm/arm_bare_bsp/ChangeLog	Thu Sep  4 13:43:43 2003
--- rtems-4.6.0/c/src/lib/libbsp/arm/arm_bare_bsp/ChangeLog	Tue Dec 16 08:07:38 2003
***************
*** 1,3 ****
--- 1,8 ----
+ 2003-12-15	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 541/bsps
+ 	* startup/linkcmds: Remove SEARCH_DIR.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* include/bsp.h, include/registers.h, irq/bsp_irq_asm.S,
diff -N -P -r -c rtems-4.6.0pre5/c/src/lib/libbsp/arm/edb7312/ChangeLog rtems-4.6.0/c/src/lib/libbsp/arm/edb7312/ChangeLog
*** rtems-4.6.0pre5/c/src/lib/libbsp/arm/edb7312/ChangeLog	Thu Sep  4 13:43:47 2003
--- rtems-4.6.0/c/src/lib/libbsp/arm/edb7312/ChangeLog	Tue Dec 16 17:20:21 2003
***************
*** 1,3 ****
--- 1,8 ----
+ 2003-12-15	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 541/bsps
+ 	* startup/linkcmds: Remove SEARCH_DIR.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* clock/clockdrv.c, console/uart.c, include/bsp.h, include/ep7312.h,
diff -N -P -r -c rtems-4.6.0pre5/c/src/lib/libbsp/arm/vegaplus/ChangeLog rtems-4.6.0/c/src/lib/libbsp/arm/vegaplus/ChangeLog
*** rtems-4.6.0pre5/c/src/lib/libbsp/arm/vegaplus/ChangeLog	Thu Sep  4 13:43:50 2003
--- rtems-4.6.0/c/src/lib/libbsp/arm/vegaplus/ChangeLog	Tue Dec 16 08:07:42 2003
***************
*** 1,3 ****
--- 1,8 ----
+ 2003-12-15	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 541/bsps
+ 	* startup/linkcmds: Remove SEARCH_DIR.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* include/bsp.h, include/registers.h, irq/bsp_irq_asm.S,
diff -N -P -r -c rtems-4.6.0pre5/c/src/lib/libbsp/hppa1.1/simhppa/ChangeLog rtems-4.6.0/c/src/lib/libbsp/hppa1.1/simhppa/ChangeLog
*** rtems-4.6.0pre5/c/src/lib/libbsp/hppa1.1/simhppa/ChangeLog	Thu Sep  4 13:43:57 2003
--- rtems-4.6.0/c/src/lib/libbsp/hppa1.1/simhppa/ChangeLog	Tue Dec 16 08:07:47 2003
***************
*** 1,3 ****
--- 1,8 ----
+ 2003-12-15	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 541/bsps
+ 	* startup/linkcmds: Remove SEARCH_DIR.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* include/bsp.h, shmsupp/addrconv.c, shmsupp/cause_intr.c,
diff -N -P -r -c rtems-4.6.0pre5/c/src/lib/libbsp/i386/ChangeLog rtems-4.6.0/c/src/lib/libbsp/i386/ChangeLog
*** rtems-4.6.0pre5/c/src/lib/libbsp/i386/ChangeLog	Mon Aug 11 09:34:44 2003
--- rtems-4.6.0/c/src/lib/libbsp/i386/ChangeLog	Mon Dec 29 07:28:06 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-12-29	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Remove shared/io/Makefile.
+ 
  2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
diff -N -P -r -c rtems-4.6.0pre5/c/src/lib/libbsp/i386/shared/ChangeLog rtems-4.6.0/c/src/lib/libbsp/i386/shared/ChangeLog
*** rtems-4.6.0pre5/c/src/lib/libbsp/i386/shared/ChangeLog	Wed Oct  8 10:37:53 2003
--- rtems-4.6.0/c/src/lib/libbsp/i386/shared/ChangeLog	Mon Dec 29 07:26:59 2003
***************
*** 1,3 ****
--- 1,8 ----
+ 2003-12-29	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* shared/io/Makefile.am: Remove (Unused).
+ 	* shared/Makefile.am: Remove io.
+ 
  2003-10-08	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* comm/uart.h: Add extern "C" guards.
diff -N -P -r -c rtems-4.6.0pre5/c/src/lib/libbsp/mips/jmr3904/ChangeLog rtems-4.6.0/c/src/lib/libbsp/mips/jmr3904/ChangeLog
*** rtems-4.6.0pre5/c/src/lib/libbsp/mips/jmr3904/ChangeLog	Thu Sep  4 13:44:49 2003
--- rtems-4.6.0/c/src/lib/libbsp/mips/jmr3904/ChangeLog	Tue Feb  3 19:35:41 2004
***************
*** 1,3 ****
--- 1,8 ----
+ 2004-02-03	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 566/bsps
+ 	* start/regs.S: Fix nasty typo.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* console/console-io.c, include/bsp.h, startup/bspclean.c,
diff -N -P -r -c rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/eth_comm/ChangeLog rtems-4.6.0/c/src/lib/libbsp/powerpc/eth_comm/ChangeLog
*** rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/eth_comm/ChangeLog	Thu Sep  4 13:45:02 2003
--- rtems-4.6.0/c/src/lib/libbsp/powerpc/eth_comm/ChangeLog	Fri Dec 19 07:54:03 2003
***************
*** 1,3 ****
--- 1,18 ----
+ 2003-12-19	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 545/bsps
+ 	* startup/setvec.c: Removed.
+ 
+ 2003-12-15	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 541/bsps
+ 	* startup/linkcmds: Remove SEARCH_DIR.
+ 
+ 2003-10-22	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 510/bsps
+ 	* irq/irq.h: Add extern C wrapper.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* canbus/canbus.c, clock/p_clock.c, include/bsp.h, include/canbus.h,
diff -N -P -r -c rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/gen405/ChangeLog rtems-4.6.0/c/src/lib/libbsp/powerpc/gen405/ChangeLog
*** rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/gen405/ChangeLog	Thu Sep  4 13:45:03 2003
--- rtems-4.6.0/c/src/lib/libbsp/powerpc/gen405/ChangeLog	Tue Dec 16 17:16:40 2003
***************
*** 1,3 ****
--- 1,13 ----
+ 2003-12-16	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 533/bsps
+ 	* startup/linkcmds: Update linkcmds for gcc 3.3.2.
+ 
+ 2003-12-15	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 541/bsps
+ 	* startup/linkcmds, startup/linkcmds.dl: Remove SEARCH_DIR.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* include/bsp.h, include/coverhd.h, startup/bspclean.c,
diff -N -P -r -c rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/helas403/ChangeLog rtems-4.6.0/c/src/lib/libbsp/powerpc/helas403/ChangeLog
*** rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/helas403/ChangeLog	Thu Sep  4 13:45:05 2003
--- rtems-4.6.0/c/src/lib/libbsp/powerpc/helas403/ChangeLog	Tue Dec 16 17:17:02 2003
***************
*** 1,3 ****
--- 1,13 ----
+ 2003-12-16	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 533/bsps
+ 	* startup/linkcmds: Update linkcmds for gcc 3.3.2.
+ 
+ 2003-12-15	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 541/bsps
+ 	* startup/linkcmds, startup/linkcmds.dl: Remove SEARCH_DIR.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* include/bsp.h, include/coverhd.h, startup/bspclean.c,
diff -N -P -r -c rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog rtems-4.6.0/c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog
*** rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog	Thu Sep  4 13:45:07 2003
--- rtems-4.6.0/c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog	Mon Dec 29 07:22:18 2003
***************
*** 1,3 ****
--- 1,18 ----
+ 2003-12-29	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* startup/Makefile.am: start.S instead of start.s.
+ 
+ 2003-12-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 545/bsps
+ 	* startup/setvec.c: Removed.
+ 	* startup/Makefile.am: Remove setvec.c.
+ 
+ 2003-10-22	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 510/bsps
+ 	* irq/irq.h: Add extern C wrapper.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* clock/p_clock.c, ide/pcmcia_ide.c, include/bsp.h, include/coverhd.h,
diff -N -P -r -c rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/motorola_powerpc/ChangeLog rtems-4.6.0/c/src/lib/libbsp/powerpc/motorola_powerpc/ChangeLog
*** rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/motorola_powerpc/ChangeLog	Fri Sep 26 15:44:39 2003
--- rtems-4.6.0/c/src/lib/libbsp/powerpc/motorola_powerpc/ChangeLog	Tue Dec 16 17:17:08 2003
***************
*** 1,3 ****
--- 1,8 ----
+ 2003-12-16	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 533/bsps
+ 	* startup/linkcmds: Update linkcmds for gcc 3.3.2.
+ 
  2003-09-26	Till Strauman <strauman@slac.stanford.edu>
  
  	PR 496/bsps
diff -N -P -r -c rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog rtems-4.6.0/c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog
*** rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog	Thu Sep  4 13:45:08 2003
--- rtems-4.6.0/c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog	Fri Dec 19 21:55:41 2003
***************
*** 1,3 ****
--- 1,24 ----
+ 2003-12-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 545/bsps
+ 	* startup/setvec.c: Removed.
+ 	* startup/Makefile.am: Remove setvec.c.
+ 
+ 2003-12-16	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 533/bsps
+ 	* startup/linkcmds: Update linkcmds for gcc 3.3.2.
+ 
+ 2003-12-15	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 541/bsps
+ 	* startup/linkcmds: Remove SEARCH_DIR.
+ 
+ 2003-10-22	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 510/bsps
+ 	* irq/irq.h: Add extern C wrapper.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* clock/p_clock.c, include/bsp.h, include/coverhd.h, irq/irq.c,
diff -N -P -r -c rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/psim/ChangeLog rtems-4.6.0/c/src/lib/libbsp/powerpc/psim/ChangeLog
*** rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/psim/ChangeLog	Thu Sep  4 13:45:12 2003
--- rtems-4.6.0/c/src/lib/libbsp/powerpc/psim/ChangeLog	Tue Dec 16 17:17:19 2003
***************
*** 1,3 ****
--- 1,13 ----
+ 2003-12-16	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 533/bsps
+ 	* startup/linkcmds: Update linkcmds for gcc 3.3.2.
+ 
+ 2003-12-15	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 541/bsps
+ 	* startup/linkcmds: Remove SEARCH_DIR.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* console/console-io.c, include/bsp.h, include/coverhd.h,
diff -N -P -r -c rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/shared/ChangeLog rtems-4.6.0/c/src/lib/libbsp/powerpc/shared/ChangeLog
*** rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/shared/ChangeLog	Mon Sep 29 16:43:26 2003
--- rtems-4.6.0/c/src/lib/libbsp/powerpc/shared/ChangeLog	Wed Oct 22 11:24:10 2003
***************
*** 1,3 ****
--- 1,8 ----
+ 2003-10-22	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 510/bsps
+ 	* irq/irq.h: Add extern C wrapper.
+ 
  2003-09-29	Till Strauman <strauman@slac.stanford.edu>
  
  	PR 497/bsps
diff -N -P -r -c rtems-4.6.0pre5/c/src/lib/libbsp/sh/shsim/ChangeLog rtems-4.6.0/c/src/lib/libbsp/sh/shsim/ChangeLog
*** rtems-4.6.0pre5/c/src/lib/libbsp/sh/shsim/ChangeLog	Thu Sep  4 13:45:30 2003
--- rtems-4.6.0/c/src/lib/libbsp/sh/shsim/ChangeLog	Mon Jan  5 00:47:12 2004
***************
*** 1,3 ****
--- 1,7 ----
+ 2004-01-05	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* start/regs.S: Remove.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* include/bsp.h, start/start.S, startup/bspstart.c,
diff -N -P -r -c rtems-4.6.0pre5/c/src/lib/libbsp/sparc/leon/ChangeLog rtems-4.6.0/c/src/lib/libbsp/sparc/leon/ChangeLog
*** rtems-4.6.0pre5/c/src/lib/libbsp/sparc/leon/ChangeLog	Thu Sep  4 13:45:37 2003
--- rtems-4.6.0/c/src/lib/libbsp/sparc/leon/ChangeLog	Wed Dec 10 00:51:55 2003
***************
*** 1,3 ****
--- 1,9 ----
+ 2003-12-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 538/bsps:
+ 	* wrapup/Makefile.am: Add $(NETWORKING_DRIVER) instead of $(NETWORK)
+ 	to BSP_PIECES.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* clock/ckinit.c, console/console.c, console/consolereserveresources.c,
diff -N -P -r -c rtems-4.6.0pre5/c/src/lib/libcpu/i386/ChangeLog rtems-4.6.0/c/src/lib/libcpu/i386/ChangeLog
*** rtems-4.6.0pre5/c/src/lib/libcpu/i386/ChangeLog	Thu Sep  4 13:45:43 2003
--- rtems-4.6.0/c/src/lib/libcpu/i386/ChangeLog	Tue Feb  3 18:53:09 2004
***************
*** 1,3 ****
--- 1,7 ----
+ 2004-02-03	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* Makefile.am: Removed.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* cpu.c, cpu.h, cpuModel.S, cpuModel.h, displayCpu.c, idtr.S, page.c:
diff -N -P -r -c rtems-4.6.0pre5/c/src/tests/libtests/ChangeLog rtems-4.6.0/c/src/tests/libtests/ChangeLog
*** rtems-4.6.0pre5/c/src/tests/libtests/ChangeLog	Thu Sep  4 13:46:13 2003
--- rtems-4.6.0/c/src/tests/libtests/ChangeLog	Tue Dec 16 17:35:31 2003
***************
*** 1,3 ****
--- 1,9 ----
+ 2003-12-16	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 544/tests
+ 	* malloctest/system.h, rtmonuse/system.h: Various modifications to make
+ 	tests account for resources and not print at inappropriate times.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* cpuuse/init.c, cpuuse/system.h, cpuuse/task1.c, cpuuse/task2.c,
diff -N -P -r -c rtems-4.6.0pre5/c/src/tests/sptests/ChangeLog rtems-4.6.0/c/src/tests/sptests/ChangeLog
*** rtems-4.6.0pre5/c/src/tests/sptests/ChangeLog	Thu Sep  4 13:46:37 2003
--- rtems-4.6.0/c/src/tests/sptests/ChangeLog	Tue Dec 16 17:34:42 2003
***************
*** 1,3 ****
--- 1,13 ----
+ 2003-12-16	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 544/tests
+ 	* sp07/Makefile.am, sp07/init.c, sp07/system.h, sp07/task4.c,
+ 	sp07/tcreate.c, sp07/tdelete.c, sp07/trestart.c, sp07/tstart.c,
+ 	sp09/system.h, sp19/system.h, sp20/system.h: Various modifications to
+ 	make tests account for resources and not print at inappropriate
+ 	times.
+ 	* sp07/buffered_io.c: New file.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* sp01/init.c, sp01/sp01.doc, sp01/system.h, sp01/task1.c, sp02/init.c,
diff -N -P -r -c rtems-4.6.0pre5/c/src/tests/support/ChangeLog rtems-4.6.0/c/src/tests/support/ChangeLog
*** rtems-4.6.0pre5/c/src/tests/support/ChangeLog	Thu Sep  4 13:46:40 2003
--- rtems-4.6.0/c/src/tests/support/ChangeLog	Tue Feb  3 18:39:47 2004
***************
*** 1,3 ****
--- 1,14 ----
+ 2004-02-03	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* include/buffer_test_io.h: Do not use iprintf() if in ANSI compiler
+ 	mode.
+ 
+ 2003-12-16	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 544/tests
+ 	* include/buffer_test_io.h: Various modifications to make tests account
+ 	for resources and not print at inappropriate times.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* include/tmacros.h: URL for license changed.
diff -N -P -r -c rtems-4.6.0pre5/cpukit/ChangeLog rtems-4.6.0/cpukit/ChangeLog
*** rtems-4.6.0pre5/cpukit/ChangeLog	Mon Oct 13 16:58:04 2003
--- rtems-4.6.0/cpukit/ChangeLog	Tue Feb  3 18:43:00 2004
***************
*** 1,12 ****
! 2003-10-13	Joel Sherrill <joel@OARcorp.com>
! 
! 	* aclocal/version.m4: Updated to rtems-4.6.0pre5.
! 
! 2003-10-13	Joel Sherrill <joel@OARcorp.com>
! 
! 	* aclocal/version.m4: Updated to rtems-4.6.0pre5.
! 
! 2003-09-16	Joel Sherrill <joel@OARcorp.com>
  
  	* aclocal/version.m4: Updated to rtems-4.6.0.
  
--- 1,4 ----
! 2004-02-03	Joel Sherrill <joel@OARcorp.com>
  
  	* aclocal/version.m4: Updated to rtems-4.6.0.
  
diff -N -P -r -c rtems-4.6.0pre5/cpukit/ada/ChangeLog rtems-4.6.0/cpukit/ada/ChangeLog
*** rtems-4.6.0pre5/cpukit/ada/ChangeLog	Thu Sep  4 13:46:47 2003
--- rtems-4.6.0/cpukit/ada/ChangeLog	Tue Nov 25 08:07:32 2003
***************
*** 1,3 ****
--- 1,8 ----
+ 2003-11-25	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 528/rtems_misc
+ 	* rtems.ads: Add task variables to Ada binding.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* rtems-multiprocessing.adb, rtems-multiprocessing.ads, rtems.adb,
diff -N -P -r -c rtems-4.6.0pre5/cpukit/libcsupport/ChangeLog rtems-4.6.0/cpukit/libcsupport/ChangeLog
*** rtems-4.6.0pre5/cpukit/libcsupport/ChangeLog	Thu Oct  2 07:38:52 2003
--- rtems-4.6.0/cpukit/libcsupport/ChangeLog	Mon Jan 12 17:40:26 2004
***************
*** 1,3 ****
--- 1,34 ----
+ 2004-01-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 548/rtems
+ 	* Makefile.am: Add src/envlock.c.
+ 
+ 2003-11-26	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 524/filesystem
+ 	* src/newlibc.c: Address 1K buffer leak from incomplete cleanup of
+ 	newlib reentrancy handler.
+ 
+ 2003-11-26	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 523/filesystem
+ 	* src/malloc.c: Make malloc family safer for use from ISRs and
+ 	dispatching critical sections. If in a critical section while doing
+ 	a free(), then the free is deferred until the next malloc() attempt.
+ 
+ 2003-11-25	Jennifer Averett <jennifer@OARcorp.com>
+ 
+ 	PR 519/filesystem
+ 	* include/rtems/libio_.h, src/eval.c, src/rmdir.c, src/unlink.c: 
+ 	Check write permissions in parent directory for file or 
+ 	directory delete
+ 
+ 2003-10-22	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 511/filesystem
+ 	* src/malloc.c: Add deferred free and protect against C Program Heap
+ 	operations while in a dispatch disable critical section or ISR.
+ 
  2003-10-02	Phil Torre <ptorre@zetron.com>
  
  	PR 504/rtems
diff -N -P -r -c rtems-4.6.0pre5/cpukit/libfs/ChangeLog rtems-4.6.0/cpukit/libfs/ChangeLog
*** rtems-4.6.0pre5/cpukit/libfs/ChangeLog	Fri Sep 26 12:21:16 2003
--- rtems-4.6.0/cpukit/libfs/ChangeLog	Wed Oct 22 14:16:28 2003
***************
*** 1,3 ****
--- 1,25 ----
+ 2003-10-22	Thomas Doerfler <Thomas.Doerfler@imd-systems.de>
+ 
+ 	PR 515/filesystem
+ 	* src/dosfs/fat_fat_operations.c: Remove commented out code.
+ 
+ 2003-10-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 509/filesystem
+ 	* src/dosfs/fat.c: _fat_block_read and _fat_block_write return error
+ 	codes instead of -1 in case of errors, as they are supposed to do
+ 	according to the comments documenting these functions.
+ 
+ 2003-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* src/dosfs/msdos_file.c (msdos_file_read, msdos_file_write):
+ 	Use '0' as initial value for ret instead of RC_OK.
+ 
+ 2003-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* src/dosfs/msdos_conv.c: Remove isupper, islower, toupper, tolower
+ 	(Unused).
+ 
  2003-09-26	Joel Sherrill <joel@OARcorp.com>
  
  	PR 492/filesystem
diff -N -P -r -c rtems-4.6.0pre5/cpukit/libmisc/ChangeLog rtems-4.6.0/cpukit/libmisc/ChangeLog
*** rtems-4.6.0pre5/cpukit/libmisc/ChangeLog	Thu Sep  4 13:47:05 2003
--- rtems-4.6.0/cpukit/libmisc/ChangeLog	Thu Dec 11 08:20:46 2003
***************
*** 1,3 ****
--- 1,13 ----
+ 2003-12-11	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 540/rtems_misc
+ 	* cpuuse/cpuuse.c, rtmonuse/rtmonuse.c: Correct object name printing.
+ 
+ 2003-12-11	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 531/rtems_misc
+ 	* rtmonuse/rtmonuse.c: Correct indexing.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* cpuuse/cpuuse.c, cpuuse/cpuuse.h, devnull/devnull.c,
diff -N -P -r -c rtems-4.6.0pre5/cpukit/libnetworking/ChangeLog rtems-4.6.0/cpukit/libnetworking/ChangeLog
*** rtems-4.6.0pre5/cpukit/libnetworking/ChangeLog	Mon Sep 15 09:39:41 2003
--- rtems-4.6.0/cpukit/libnetworking/ChangeLog	Fri Jan 30 08:43:05 2004
***************
*** 1,3 ****
--- 1,10 ----
+ 2004-01-30	Wilfried Busalski <w.busalski@lancier-monitoring.de>
+ 
+ 	PR pppd/564
+ 	* net/if_ppp.c, net/if_pppvar.h, net/ppp_tty.c: ppp0 Interface lose
+ 	packets if the system use a slow baudrate for the modem or the
+ 	tcp/ip-packet is fragmented.
+ 
  2003-09-15	Jay Monkman <jtm@smothsmothie.com>
  
  	PR 481/networking
diff -N -P -r -c rtems-4.6.0pre5/cpukit/rtems/ChangeLog rtems-4.6.0/cpukit/rtems/ChangeLog
*** rtems-4.6.0pre5/cpukit/rtems/ChangeLog	Thu Sep 11 11:44:41 2003
--- rtems-4.6.0/cpukit/rtems/ChangeLog	Wed Oct 22 12:14:16 2003
***************
*** 1,3 ****
--- 1,9 ----
+ 2003-10-22	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 512/core
+ 	* src/tasks.c, src/taskvariabledelete.c: Run task variable destructor
+ 	when task variable is deleted. Also some style cleanup.
+ 
  2003-09-11	Joel Sherrill <joel@OARcorp.com>
  
  	PR 488/rtems
diff -N -P -r -c rtems-4.6.0pre5/cpukit/score/ChangeLog rtems-4.6.0/cpukit/score/ChangeLog
*** rtems-4.6.0pre5/cpukit/score/ChangeLog	Thu Oct  2 07:41:04 2003
--- rtems-4.6.0/cpukit/score/ChangeLog	Sat Jan 10 22:33:16 2004
***************
*** 1,3 ****
--- 1,19 ----
+ 2004-01-11  Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* macros/rtems/score/README: Remove (Redundant with macros/README).
+ 
+ 2003-12-16	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 543/rtems
+ 	* src/threadclose.c: Make the task delete extension run outside a
+ 	dispatch disabled critical section so extensions can free resources.
+ 
+ 2003-11-25	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 526/rtems
+ 	* src/threadcreateidle.c: Idle task name should be a string and
+ 	PR484 broke this.
+ 
  2003-10-02	Phil Torre <ptorre@zetron.com>
  
  	PR 504/rtems
diff -N -P -r -c rtems-4.6.0pre5/doc/ChangeLog rtems-4.6.0/doc/ChangeLog
*** rtems-4.6.0pre5/doc/ChangeLog	Mon Sep 22 06:36:42 2003
--- rtems-4.6.0/doc/ChangeLog	Tue Feb  3 18:34:00 2004
***************
*** 1,3 ****
--- 1,39 ----
+ 2004-02-03	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* HELP.html, index.html.in, rtems_footer.html.in, rtems_header.html.in,
+ 	rtems_support.html.in, FAQ/basic.t, gnu_docs/gnu_footer.html,
+ 	gnu_docs/index.html, gnu_docs/refcard.html,
+ 	gnu_docs/rtems_tools_index.html, started/binaries.t,
+ 	started/buildc.t, started/buildrt.t, started/intro.t,
+ 	started/require.t, started/sample.t, started/tversions.texi.in:
+ 	Attempt to make the documentation more accurately reflect the state
+ 	of the world. These changes were primarily concerned with server
+ 	layout.
+ 
+ 2004-02-01	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Add RTEMSRPMGROUP.
+ 	* common/rtems.texi.in: Add RTEMSRPMGROUP.
+ 	* started/binaries.t: Add RTEMSRPMGROUP.
+ 
+ 2004-02-01	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Add RTEMS_ENABLE_RPMPREFIX.
+ 	Add RTEMSRPMPREFIX.
+ 	* common/rtems.texi.in: Add RTEMSRPMPREFIX.
+ 
+ 2004-01-20	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 556/make_build
+ 	* Makefile.am: Fix missing line continuation.
+ 
+ 2003-10-22	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 513/doc
+ 	* Makefile.am, index.html.in: Rename Getting Started to be non-language
+ 	specific and remove link to Ada Getting Started. Also install missing
+ 	graphic.
+ 
  2003-09-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* common/.cvsignore: Add rtems.texi, rtems.sed.
diff -N -P -r -c rtems-4.6.0pre5/doc/started/ChangeLog rtems-4.6.0/doc/started/ChangeLog
*** rtems-4.6.0pre5/doc/started/ChangeLog	Thu Oct  2 13:01:35 2003
--- rtems-4.6.0/doc/started/ChangeLog	Sun Feb  1 01:10:47 2004
***************
*** 1,3 ****
--- 1,17 ----
+ 2004-02-01	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* binaries.t, buildc.t: Use @value{RTEMSRPMPREFIX} in refs to rpms.
+ 
+ 2004-01-20	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 555/doc
+ 	* sample.t: Fix RTEMS_MAKEFILE_PATH reference.
+ 
+ 2003-10-22	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 513/doc
+ 	* started.texi: Rename to be non-language specific.
+ 
  2003-10-02	Joel Sherrill <joel@OARcorp.com>
  
  	* Makefile.am, binaries.t, buildc.t, intro.t, nextstep.t, require.t,
diff -N -P -r -c rtems-4.6.0pre5/doc/user/ChangeLog rtems-4.6.0/doc/user/ChangeLog
*** rtems-4.6.0pre5/doc/user/ChangeLog	Sat Aug 30 02:39:23 2003
--- rtems-4.6.0/doc/user/ChangeLog	Tue Nov 25 08:15:45 2003
***************
*** 1,3 ****
--- 1,13 ----
+ 2003-11-25	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 528/rtems_misc
+ 	* task.t: Fix Ada binding for task variable calls.
+ 
+ 2003-11-21	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 521/doc
+ 	* sem.t: Default attributes were wrong for semaphores.
+ 
  2003-08-30	Ralf Corsepius <corsepius@faw.uni-ulm.de>
  
  	* c_user.texi: include common/rtems.texi.
diff -N -P -r -c rtems-4.6.0pre5/scripts/ChangeLog rtems-4.6.0/scripts/ChangeLog
*** rtems-4.6.0pre5/scripts/ChangeLog	Thu Sep  4 22:23:17 2003
--- rtems-4.6.0/scripts/ChangeLog	Fri Jan 23 13:53:53 2004
***************
*** 1,3 ****
--- 1,21 ----
+ 2004-01-23	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* setup.def: Reflect new binutils RPM revision to correct defattr.
+ 
+ 2004-01-23	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* setup.def: Make it match gcc 3.2.3 RPMs.
+ 
+ 2004-01-21	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* configure.ac: Use all CAPS RTEMS.
+ 
+ 2004-01-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	PR 554/tools
+ 	* scripts/automake.spec.in: Add defattr, URL:-tag.
+ 	Release 2.
+ 
  2003-09-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* binutils/base-binutils.add: Add osversion support.
diff -N -P -r -c rtems-4.6.0pre5/tools/cpu/sh/ChangeLog rtems-4.6.0/tools/cpu/sh/ChangeLog
*** rtems-4.6.0pre5/tools/cpu/sh/ChangeLog	Mon Aug 11 09:40:21 2003
--- rtems-4.6.0/tools/cpu/sh/ChangeLog	Tue Jan  6 11:06:09 2004
***************
*** 1,3 ****
--- 1,7 ----
+ 2004-01-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* Makefile.am: Let shgen.1 depend on shgen$(EXEEXT).
+ 
  2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
